function [handles] = sim_PID(handles)
% Inputs von GUI in Workspace speichern
handles.I.initial = str2num(get(handles.initial,'string'));
handles.I.Kr = str2num(get(handles.Kr,'string'));
handles.I.Tn = str2num(get(handles.Tn,'string'));
handles.I.Tv = str2num(get(handles.Tv,'string'));
handles.I.xs = str2num(get(handles.xs,'string')); 
handles.I.Ks = str2num(get(handles.Ks,'string'));
handles.I.T11 = str2num(get(handles.T11,'string'));
handles.I.T12 = str2num(get(handles.T12,'string'));
handles.I.st = str2num(get(handles.st,'string'));

% Schalter - Bedingung fr Tn
if handles.I.Tn >= 10^5;
    handles.I.Tnoo = 0;
else
    handles.I.Tnoo = 1;
end;




set(handles.btn_o,'Enable','on');

if get(handles.radiobutton1,'value') == 1;
    if isfield(handles,'plot4') == 1;
        delete(findobj('Color','blue'));
        handles.plot4 = [];
    end;
    handles.I.T2 = str2num(get(handles.T2,'string'));
    handles.I.Tt = str2num(get(handles.Tt,'string'));
    handles.I.d = str2num(get(handles.d,'string'));
    handles.I.Ast = str2num(get(handles.Ast,'string'));
    handles.I.Tst = str2num(get(handles.Tst,'string'));
    handles.I.Tsl = str2num(get(handles.Tsl,'string'));
% Simulation FRT PT1 - PT1 - PT2 - PTt
    frtset = simset('SrcWorkspace','current');
    handles.I.tsamp = str2num(get(handles.tsamp,'string'));
    %warning off all;
    sim('RK_1',[],frtset);
    handles.O = simout;
elseif get(handles.radiobutton2,'value') == 1;
    if isfield(handles,'plot4') == 1;
        delete(findobj('Color','blue'));
        handles.plot4 = [];
    end;
    handles.I.T2 = str2num(get(handles.T2,'string'));
    handles.I.Ti = str2num(get(handles.Tt,'string'));
    if handles.I.Ti == 0;
       handles.I.Ti = -1;
       handles.I.In = 0;
    else;
    handles.I.In = 1;    
    end;
    handles.I.d = str2num(get(handles.d,'string'));
    handles.I.Ast = str2num(get(handles.Ast,'string'));
    handles.I.Tst = str2num(get(handles.Tst,'string'));
    handles.I.Tsl = str2num(get(handles.Tsl,'string'));
% Simulation FRT PT1 - PT1 - PT2 - I
    frtset = simset('SrcWorkspace','current');
    handles.I.tsamp = str2num(get(handles.tsamp,'string'));
    sim('RK_2',[],frtset);
    handles.O = simout;
elseif get(handles.radiobutton3,'value') == 1;
    if isfield(handles,'plot4') == 1;
        delete(findobj('Color','blue'));
        handles.plot4 = [];
    end;
    handles.I.T13 = str2num(get(handles.T2,'string'));
    handles.I.Ti = str2num(get(handles.Tt,'string'));
    if handles.I.Ti == 0;
       handles.I.Ti = -1;
       handles.I.In = 0;
    else;
    handles.I.In = 1; 
    end;
    handles.I.Ast = str2num(get(handles.Ast,'string'));
    handles.I.Tst = str2num(get(handles.Tst,'string'));
    handles.I.Tsl = str2num(get(handles.Tsl,'string'));
% Simulation FRT PT1 - PT1 - PT1 - I
    frtset = simset('SrcWorkspace','current');
    handles.I.tsamp = str2num(get(handles.tsamp,'string'));
    sim('RK_3',[],frtset);
    handles.O = simout;    
end;

if isfield(handles,'plot2') == 0;
hold on;    
handles.plot2 = plot(handles.O.time,handles.O.signals.values,'Color','red','LineWidth',1);
ylabel( ['[Wsoll]'] ,'FontName','Tahoma','FontSize',8,'FontWeight','bold');
xlabel( ['time [s]'] ,'FontName','Tahoma','FontSize',8,'FontWeight','bold');
axis([0 (handles.I.st) str2num(get(handles.min,'String')) str2num(get(handles.max,'String'))]);
elseif isfield(handles,'plot3') == 0;
hold on;    
handles.plot3 = plot(handles.O.time,handles.O.signals.values,'Color','green','LineWidth',1);
ylabel( ['[Wsoll]'] ,'FontName','Tahoma','FontSize',8,'FontWeight','bold');
xlabel( ['time [s]'] ,'FontName','Tahoma','FontSize',8,'FontWeight','bold');
axis([0 (handles.I.st) str2num(get(handles.min,'String')) str2num(get(handles.max,'String'))]);
elseif isfield(handles,'plot4') == 0;
hold on;    
handles.plot4 = plot(handles.O.time,handles.O.signals.values,'Color','blue','LineWidth',1);
ylabel( ['[Wsoll]'] ,'FontName','Tahoma','FontSize',8,'FontWeight','bold');
xlabel( ['time [s]'] ,'FontName','Tahoma','FontSize',8,'FontWeight','bold');
axis([0 (handles.I.st) str2num(get(handles.min,'String')) str2num(get(handles.max,'String'))]);
elseif isempty(handles.plot2) == 1;
hold on;    
handles.plot2 = plot(handles.O.time,handles.O.signals.values,'Color','red','LineWidth',1);
ylabel( ['[Wsoll]'] ,'FontName','Tahoma','FontSize',8,'FontWeight','bold');
xlabel( ['time [s]'] ,'FontName','Tahoma','FontSize',8,'FontWeight','bold');
axis([0 (handles.I.st) str2num(get(handles.min,'String')) str2num(get(handles.max,'String'))]);
elseif isempty(handles.plot3) == 1;
hold on;    
handles.plot3 = plot(handles.O.time,handles.O.signals.values,'Color','green','LineWidth',1);
ylabel( ['[Wsoll]'] ,'FontName','Tahoma','FontSize',8,'FontWeight','bold');
xlabel( ['time [s]'] ,'FontName','Tahoma','FontSize',8,'FontWeight','bold');
axis([0 (handles.I.st) str2num(get(handles.min,'String')) str2num(get(handles.max,'String'))]);
elseif isempty(handles.plot4) == 1;
hold on;    
handles.plot4 = plot(handles.O.time,handles.O.signals.values,'Color','blue','LineWidth',1);
ylabel( ['[Wsoll]'] ,'FontName','Tahoma','FontSize',8,'FontWeight','bold');
xlabel( ['time [s]'] ,'FontName','Tahoma','FontSize',8,'FontWeight','bold');
axis([0 (handles.I.st) str2num(get(handles.min,'String')) str2num(get(handles.max,'String'))]);
end;